#ifndef __UART_DEV_H_
#define __UART_DEV_H_

#define UART_DEV "/dev/ttyHS1"

namespace Serial {
    typedef struct uart_hardware_cfg {
        unsigned int baudrate;  /* 波特率 */
        unsigned char dbit;     /* 数据位 */
        char parity;            /* 奇偶校验 */
        unsigned char sbit;     /* 停止位 */
    } uart_cfg_t;

    class uart_dev {
    private:
        uart_cfg_t uart_cfg;
        int uart_fd;                /* 文件描述符 */    
        bool b_OpenSign;            /* 串口打开标志 */
        struct termios ProtoOpt;    /* 存放串口原始配置 */
    public:
        uart_dev(/* args */);
        ~uart_dev();
    };
}

#endif /* __UART_DEV_H_ */